#
# IMPORTANT NOTE
#
# This chart inherits from our common library chart. You can check the default values/options here:
# https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml
#

image:
  # -- image repository
  repository: joplin/server
    # -- image tag
  tag: 2.1.2
  # -- image pull policy
  pullPolicy: IfNotPresent

# -- environment variables. See [image docs](https://github.com/laurent22/joplin) for more details.
# @default -- See below
env:
  # -- Set the container timezone
  TZ: UTC
  # -- joplin-server base URL
  APP_BASE_URL: https://joplin.domain
  # -- joplin-server listening port (same as Service port)
  APP_PORT: 22300
  # -- Use pg for postgres
  DB_CLIENT:  # pg
  # -- Postgres DB Host
  POSTGRES_HOST:  # joplin-postgresql
  # -- Postgres DB port
  POSTGRES_PORT:  # 5432
  # -- Postgres DB name
  POSTGRES_DATABASE:  # joplin
  # -- Postgres DB Username
  POSTGRES_USER:  # joplin
  # -- Postgres DB password
  POSTGRES_PASSWORD:  # joplin-pass

# -- Configures service settings for the chart.
# @default -- See values.yaml
service:
  main:
    ports:
      http:
        port: 22300

ingress:
  # -- Enable and configure ingress settings for the chart under this key.
  # @default -- See values.yaml
  main:
    enabled: false

# -- Enable and configure postgresql database subchart under this key.
#    For more options see [postgresql chart documentation](https://github.com/bitnami/charts/tree/master/bitnami/postgresql)
# @default -- See values.yaml
postgresql:
  enabled: false
  postgresqlUsername: joplin
  postgresqlPassword: joplin-pass
  postgresqlDatabase: joplin
  persistence:
    enabled: false
    # storageClass: ""
